cURL
curl "https://api.phrase.com/v2/notification/:id" \
-u USERNAME_OR_ACCESS_TOKENphrase notifications show \
--id <id> \
--access_token <token>import requests
url = "https://api.phrase.com/v2/notifications/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/notifications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "abcd1234",
"event_name": "keys:create",
"data": "object notification data",
"resource": "object of notification resource",
"locale": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "de",
"code": "de-DE",
"default": true,
"main": false,
"rtl": false,
"plural_forms": [
"zero",
"one",
"other"
],
"source_locale": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "en",
"code": "en-GB"
},
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
},
"user": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"username": "joe.doe",
"name": "Joe Doe"
},
"project": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "My Android Project",
"main_format": "xml",
"project_image_url": "http://assets.example.com/project.png",
"account": {
"id": "abcd1234",
"name": "Company Account",
"slug": "company_account",
"company": "My Awesome Company",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z",
"company_logo_url": "http://assets.example.com/company_logo.png"
},
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
},
"account": {
"id": "abcd1234",
"name": "Company Account",
"slug": "company_account",
"company": "My Awesome Company",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z",
"company_logo_url": "http://assets.example.com/company_logo.png"
},
"group": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"event_name": "keys:create",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}
}Notifications
Get a single notification
Get details on a single notification.
GET
/
notifications
/
{id}
cURL
curl "https://api.phrase.com/v2/notification/:id" \
-u USERNAME_OR_ACCESS_TOKENphrase notifications show \
--id <id> \
--access_token <token>import requests
url = "https://api.phrase.com/v2/notifications/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/notifications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "abcd1234",
"event_name": "keys:create",
"data": "object notification data",
"resource": "object of notification resource",
"locale": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "de",
"code": "de-DE",
"default": true,
"main": false,
"rtl": false,
"plural_forms": [
"zero",
"one",
"other"
],
"source_locale": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "en",
"code": "en-GB"
},
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
},
"user": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"username": "joe.doe",
"name": "Joe Doe"
},
"project": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "My Android Project",
"main_format": "xml",
"project_image_url": "http://assets.example.com/project.png",
"account": {
"id": "abcd1234",
"name": "Company Account",
"slug": "company_account",
"company": "My Awesome Company",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z",
"company_logo_url": "http://assets.example.com/company_logo.png"
},
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
},
"account": {
"id": "abcd1234",
"name": "Company Account",
"slug": "company_account",
"company": "My Awesome Company",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z",
"company_logo_url": "http://assets.example.com/company_logo.png"
},
"group": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"event_name": "keys:create",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}
}Authorizations
TokenBasic
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Path Parameters
ID
Response
OK
Show child attributes
Show child attributes
Example:
{ "id": "abcd1234cdef1234abcd1234cdef1234", "name": "de", "code": "de-DE", "default": true, "main": false, "rtl": false, "plural_forms": ["zero", "one", "other"], "ordinal_plural_forms": ["zero", "other"], "source_locale": { "id": "abcd1234cdef1234abcd1234cdef1234", "name": "en", "code": "en-GB" }, "fallback_locale": { "id": "abcd1234cdef1234abcd1234cdef1234", "name": "en", "code": "en-GB" }, "language_ai_profile": "abcd1234abcd1234abcd1234abcd1234", "created_at": "2015-01-28T09:52:53Z", "updated_at": "2015-01-28T09:52:53Z" }
Show child attributes
Show child attributes
Example:
{ "id": "abcd1234cdef1234abcd1234cdef1234", "username": "johndoe", "name": "John Doe", "gravatar_uid": "205e460b479e2e5b48aec07710c08d50" }
Show child attributes
Show child attributes
Example:
{ "id": "abcd1234cdef1234abcd1234cdef1234", "name": "My Android Project", "slug": "android_project", "main_format": "xml", "project_image_url": "http://assets.example.com/project.png", "account": "account", "space": "space", "created_at": "2015-01-28T09:52:53Z", "updated_at": "2015-01-28T09:52:53Z" }
Show child attributes
Show child attributes
Example:
{ "id": "abcd1234", "name": "Company Account", "slug": "company_account", "company": "My Awesome Company", "created_at": "2015-01-28T09:52:53Z", "updated_at": "2015-01-28T09:52:53Z", "company_logo_url": "http://assets.example.com/company_logo.png" }
Show child attributes
Show child attributes
Example:
{ "id": "abcd1234cdef1234abcd1234cdef1234", "event_name": "keys:create", "created_at": "2015-01-28T09:52:53Z", "updated_at": "2015-01-28T09:52:53Z" }
Was this page helpful?
⌘I